/************************************************************************
*	Module		:	Analogue to Digital Converter controller			*
*	Filename	:	adc.c												*
************************************************************************/

#include "define.h"

//***** Start of Code ***************************************************
void ADCInit(void)
	{
	ADCON0 = 0x81;										//ADC enabled with Fosc/16 clock
	ADCON1 = 0x81;										//ADRESH right justtified, RA3 as Vref
	TRISA |= 0x2f;										//RA0, RA1, RA2 RA3, RA5 as input
	}
	
UINT ADCRead(UCHAR channel)
	{
	UINT temp;
	
	ADCON0 &= 0xC7;										//zero CH<0:2> (channel 0 selected by default)
	switch(channel)
		{
		case 1:	ADCON0 |= 0x08; break;					//channel 1
		case 2:	ADCON0 |= 0x10; break;					//channel 2
		case 3:	ADCON0 |= 0x20; break;					//channel 3			
		}
		
	for(temp = 0; temp < 6; temp++) TenMicroSecondWait();	//acquisition time (60us)
	
	ADGO = 1;											//start conversion
	do {} while(ADGO == 1);								//loop until ADC conversion completes (or timeouts)
	for(temp = 0; temp < 6; temp++) TenMicroSecondWait();	//acquisition time (60us)
	
	temp = ADRESH;
	temp <<= 8;
	temp += ADRESL;
	
	return temp;
	}
//***** End of Code ***************************************************
