#ifndef __DEFINE_H__
#define __DEFINE_H__

//type definitions
typedef unsigned char UCHAR;
typedef unsigned int UINT;
typedef unsigned long ULONG;

//includes
#include <pic.h>
#include "i2c_slave.h"
#include "adc.h"
#include "misc.h"

//port equates
#define AN0				RA0								//Analogue input 0
#define AN1				RA1								//Analogue input 1
#define AN2				RA2								//Analogue input 2
//#define				RA3
#define LED				RA4								//for debug - not in actual circuit
#define AN3				RA5								//Analogue input 3

#define DIO0			RB0								//Digital I/O 0
#define DIO1			RB1								//Digital I/O 1
#define DIO2			RB2								//Digital I/O 2
#define DIO3			RB3								//Digital I/O 3
#define DIO4			RB4								//Digital I/O 4
#define DIO5			RB5								//Digital I/O 5
#define DIO6			RB6								//Digital I/O 6
#define DIO7			RB7								//Digital I/O 7

#define	DIO8			RC0								//Digital I/O 8
#define	DIO9			RC1								//Digital I/O 9
#define	DIO10			RC2								//Digital I/O 10
#define SCL				RC3								//I2C clock
#define SDA				RC4								//I2C data
#define DIO11			RC5								//Digital I/O 11
#define DIO12			RC6								//Digital I/O 12
#define DIO13			RC7								//Digital I/O 13

#define LED_ON			LED = 0
#define LED_OFF			LED = 1
//#define LED_ON			LED = 1
//#define LED_OFF			LED = 0

//global variables
extern ULONG MS_COUNTER;								//ms tick counter
extern UINT DIGITAL_IO;
#endif
