#ifndef __I2C_SLAVE_H__
#define __I2C_SLAVE_H__

//I2C defines
#define I2C_ADDRESS			0xe0						//I2C address for MCU
#define I2C_TIMEOUT_VALUE	10							//I2C timeout in MS
#define I2C_DATA_SIZE		4							//bytes of I2C buffer

//I2C command enumeration
#define I2C_CMD_ANA_READ_0		0x00
#define I2C_CMD_ANA_READ_1		0x01
#define I2C_CMD_ANA_READ_2		0x02
#define I2C_CMD_ANA_READ_3		0x03
#define I2C_CMD_DIO_DIR_WRITE	0x10
#define I2C_CMD_DIO_DIR_READ	0x11
#define I2C_CMD_DIO_WRITE		0x20
#define I2C_CMD_DIO_READ		0x21
#define I2C_CMD_DIO_SET			0x22
#define I2C_CMD_DIO_RESET		0x23

//global variables
extern ULONG I2C_TIMEOUT;
extern UCHAR I2C_STATE;
extern bit I2C_IDLE;									//flag for MSSP state

//global function prototypes
extern void I2CSlaveInit(void);
extern void I2CSlaveExec(void);

#endif
